""" RDF Repository
"""
from zope.interface import alsoProvides
from eea.rdfrepository.interfaces import IRDFRepository
from Products.Five import BrowserView

class MakeRDFRepository(BrowserView):
    """ Make RDF Repository
    """

    def __call__(self):
        context = self.context
        alsoProvides(context, IRDFRepository)
        context.reindexObject()
        self.request.RESPONSE.redirect(context.absolute_url())
