""" Statistics
"""
from Products.Five import BrowserView
from zope.component import getUtility
from eea.rdfrepository.interfaces import IRDFRepository

class Info(BrowserView):
    """ Info
    """
    def __init__(self, context, request):
        super(Info, self).__init__(context, request)
        self.rdfrepository = getUtility(IRDFRepository)

    def getRDFStats(self):
        """ Returns a list of feed dictionaries.
        """
        result = []

        rdfrepository = getUtility(IRDFRepository)
        data = rdfrepository.getFeeds()

        for feed in data:
            result.append({ 'url': feed.feed_url })

        return result

    def getPluginNames(self):
        """ Get Plugin names
        """
        return self.rdfrepository.getPluginNames()
