""" Base
"""
from Products.CMFCore.utils import getToolByName
from zope.app.component.hooks import getSite

class BasePlugin(object):
    """ Base Plugin
    """

    def getRepository(self):
        """ Gets the folders that contain rdf feeds
        """
        site = getSite()
        portal_catalog = getToolByName(site, 'portal_catalog')

        #folders_dict = {}
        query = { 'object_provides':
                  'eea.rdfrepository.interfaces.IRDFRepository' }
        folder_brains = portal_catalog.searchResults(query)

        if folder_brains:
            path = folder_brains[0].getPath()
            return path

        return None
