""" RSS Catalog
"""
from zope.interface import implements
from eea.rdfrepository.plugins.interfaces import IRSSCatalogPlugin

class RSSCatalogPlugin(object):
    """ Plugin
    """
    implements(IRSSCatalogPlugin)

    def getFeeds(self, types=None, search=None):
        """ Returns feeds that match specified search criteria. search is
            a dictionary and this plugin chooses what information in this
            dictionary is relevant. Feeds that are returned can be either
            RDF or RSS. """
        return []

    @property
    def name(self):
        """ Plugin name
        """
        return "RDF/RSS Theme Plugin"
