""" Base TestCase for Audit
"""
from Products.Five import fiveconfigure, zcml
from Products.PloneTestCase import PloneTestCase
from Products.PloneTestCase.layer import onsetup
import eea.rdfrepository

PloneTestCase.installProduct('EEAContentTypes')

@onsetup
def setup_rdfrepository():
    """ Setup
    """
    fiveconfigure.debug_mode = True
    zcml.load_config('configure.zcml', eea.rdfrepository)
    fiveconfigure.debug_mode = False

setup_rdfrepository()
PloneTestCase.setupPloneSite()

class RDFRepositoryTestCase(PloneTestCase.FunctionalTestCase):
    """ A functional test case for testing the RDF repository.
    """
